Changeset 2665


Ignore:
Timestamp:
Dec 1, 2012 1:38:45 PM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Metis/trunk/configure

    r2627 r2665  
    10671067                          icl/link). Default when mentioned: mingw. Default
    10681068                          when not mentioned: disabled.
     1069  --enable-static-standardlibs
     1070                          whether to link against static standard libraries
     1071                          (libgcc, libgfortran, libstdc++)
    10691072  --disable-pkg-config    disable use of pkg-config (if available)
    10701073  --enable-static[=PKGS]
     
    19031906echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19041907  fi
     1908
     1909
     1910
     1911# check whether to add flags for static linking against standard libraries
     1912# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1913if test "${enable_static_standardlibs+set}" = set; then
     1914  enableval="$enable_static_standardlibs"
     1915  case "$enableval" in
     1916     no | yes | auto ) ;;
     1917     *)
     1918       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1919echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1920   { (exit 1); exit 1; }; } ;;
     1921   esac
     1922   use_static_standardlibs=$enableval
     1923else
     1924  if test $enable_shared = yes ; then
     1925     use_static_standardlibs = no
     1926   else
     1927     use_static_standardlibs = auto
     1928   fi
     1929
     1930
     1931fi;
     1932
     1933
    19051934
    19061935
     
    30293058    CFLAGS="$OPT_CFLAGS"
    30303059  fi
     3060
    30313061else
    30323062  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    31963226    ;;
    31973227esac
     3228
     3229# check whether to add flags for static linking against standard libraries to LDFLAGS
     3230if test x$use_static_standardlibs != xno ; then
     3231  case $build in
     3232    *-mingw*)
     3233      static_standardlib_flag=-static
     3234      ;;
     3235    *)
     3236      static_standardlib_flag=-static-libgcc
     3237      ;;
     3238  esac
     3239  case " $LDFLAGS " in
     3240    *" $static_standardlib_flag "* ) ;;
     3241    *)
     3242    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3243echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3244    coin_save_LDFLAGS="$LDFLAGS"
     3245    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3246    cat >conftest.$ac_ext <<_ACEOF
     3247/* confdefs.h.  */
     3248_ACEOF
     3249cat confdefs.h >>conftest.$ac_ext
     3250cat >>conftest.$ac_ext <<_ACEOF
     3251/* end confdefs.h.  */
     3252
     3253int
     3254main ()
     3255{
     3256int i=0;
     3257  ;
     3258  return 0;
     3259}
     3260_ACEOF
     3261rm -f conftest.$ac_objext conftest$ac_exeext
     3262if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3263  (eval $ac_link) 2>conftest.er1
     3264  ac_status=$?
     3265  grep -v '^ *+' conftest.er1 >conftest.err
     3266  rm -f conftest.er1
     3267  cat conftest.err >&5
     3268  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3269  (exit $ac_status); } &&
     3270         { ac_try='test -z "$ac_c_werror_flag"
     3271                         || test ! -s conftest.err'
     3272  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3273  (eval $ac_try) 2>&5
     3274  ac_status=$?
     3275  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3276  (exit $ac_status); }; } &&
     3277         { ac_try='test -s conftest$ac_exeext'
     3278  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3279  (eval $ac_try) 2>&5
     3280  ac_status=$?
     3281  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3282  (exit $ac_status); }; }; then
     3283  echo "$as_me:$LINENO: result: yes" >&5
     3284echo "${ECHO_T}yes" >&6
     3285else
     3286  echo "$as_me: failed program was:" >&5
     3287sed 's/^/| /' conftest.$ac_ext >&5
     3288
     3289echo "$as_me:$LINENO: result: no" >&5
     3290echo "${ECHO_T}no" >&6
     3291       LDFLAGS="$coin_save_LDFLAGS"
     3292       if test $use_static_standardlibs = yes ; then
     3293         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3294echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3295   { (exit 1); exit 1; }; }
     3296       fi
     3297
     3298fi
     3299rm -f conftest.err conftest.$ac_objext \
     3300      conftest$ac_exeext conftest.$ac_ext
     3301    ;;
     3302  esac
     3303fi
    31983304
    31993305ac_ext=c
     
    50465152*-*-irix6*)
    50475153  # Find out which ABI we are using.
    5048   echo '#line 5048 "configure"' > conftest.$ac_ext
     5154  echo '#line 5154 "configure"' > conftest.$ac_ext
    50495155  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50505156  (eval $ac_compile) 2>&5
     
    66456751
    66466752# Provide some information about the compiler.
    6647 echo "$as_me:6647:" \
     6753echo "$as_me:6753:" \
    66486754     "checking for Fortran 77 compiler version" >&5
    66496755ac_compiler=`set X $ac_compile; echo $2`
     
    77127818   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77137819   -e 's:$: $lt_compiler_flag:'`
    7714    (eval echo "\"\$as_me:7714: $lt_compile\"" >&5)
     7820   (eval echo "\"\$as_me:7820: $lt_compile\"" >&5)
    77157821   (eval "$lt_compile" 2>conftest.err)
    77167822   ac_status=$?
    77177823   cat conftest.err >&5
    7718    echo "$as_me:7718: \$? = $ac_status" >&5
     7824   echo "$as_me:7824: \$? = $ac_status" >&5
    77197825   if (exit $ac_status) && test -s "$ac_outfile"; then
    77207826     # The compiler can only warn and ignore the option if not recognized
     
    79808086   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79818087   -e 's:$: $lt_compiler_flag:'`
    7982    (eval echo "\"\$as_me:7982: $lt_compile\"" >&5)
     8088   (eval echo "\"\$as_me:8088: $lt_compile\"" >&5)
    79838089   (eval "$lt_compile" 2>conftest.err)
    79848090   ac_status=$?
    79858091   cat conftest.err >&5
    7986    echo "$as_me:7986: \$? = $ac_status" >&5
     8092   echo "$as_me:8092: \$? = $ac_status" >&5
    79878093   if (exit $ac_status) && test -s "$ac_outfile"; then
    79888094     # The compiler can only warn and ignore the option if not recognized
     
    80848190   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80858191   -e 's:$: $lt_compiler_flag:'`
    8086    (eval echo "\"\$as_me:8086: $lt_compile\"" >&5)
     8192   (eval echo "\"\$as_me:8192: $lt_compile\"" >&5)
    80878193   (eval "$lt_compile" 2>out/conftest.err)
    80888194   ac_status=$?
    80898195   cat out/conftest.err >&5
    8090    echo "$as_me:8090: \$? = $ac_status" >&5
     8196   echo "$as_me:8196: \$? = $ac_status" >&5
    80918197   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    80928198   then
     
    1042910535  lt_status=$lt_dlunknown
    1043010536  cat > conftest.$ac_ext <<EOF
    10431 #line 10431 "configure"
     10537#line 10537 "configure"
    1043210538#include "confdefs.h"
    1043310539
     
    1052910635  lt_status=$lt_dlunknown
    1053010636  cat > conftest.$ac_ext <<EOF
    10531 #line 10531 "configure"
     10637#line 10637 "configure"
    1053210638#include "confdefs.h"
    1053310639
     
    1287312979   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1287412980   -e 's:$: $lt_compiler_flag:'`
    12875    (eval echo "\"\$as_me:12875: $lt_compile\"" >&5)
     12981   (eval echo "\"\$as_me:12981: $lt_compile\"" >&5)
    1287612982   (eval "$lt_compile" 2>conftest.err)
    1287712983   ac_status=$?
    1287812984   cat conftest.err >&5
    12879    echo "$as_me:12879: \$? = $ac_status" >&5
     12985   echo "$as_me:12985: \$? = $ac_status" >&5
    1288012986   if (exit $ac_status) && test -s "$ac_outfile"; then
    1288112987     # The compiler can only warn and ignore the option if not recognized
     
    1297713083   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1297813084   -e 's:$: $lt_compiler_flag:'`
    12979    (eval echo "\"\$as_me:12979: $lt_compile\"" >&5)
     13085   (eval echo "\"\$as_me:13085: $lt_compile\"" >&5)
    1298013086   (eval "$lt_compile" 2>out/conftest.err)
    1298113087   ac_status=$?
    1298213088   cat out/conftest.err >&5
    12983    echo "$as_me:12983: \$? = $ac_status" >&5
     13089   echo "$as_me:13089: \$? = $ac_status" >&5
    1298413090   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1298513091   then
     
    1454714653   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1454814654   -e 's:$: $lt_compiler_flag:'`
    14549    (eval echo "\"\$as_me:14549: $lt_compile\"" >&5)
     14655   (eval echo "\"\$as_me:14655: $lt_compile\"" >&5)
    1455014656   (eval "$lt_compile" 2>conftest.err)
    1455114657   ac_status=$?
    1455214658   cat conftest.err >&5
    14553    echo "$as_me:14553: \$? = $ac_status" >&5
     14659   echo "$as_me:14659: \$? = $ac_status" >&5
    1455414660   if (exit $ac_status) && test -s "$ac_outfile"; then
    1455514661     # The compiler can only warn and ignore the option if not recognized
     
    1465114757   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1465214758   -e 's:$: $lt_compiler_flag:'`
    14653    (eval echo "\"\$as_me:14653: $lt_compile\"" >&5)
     14759   (eval echo "\"\$as_me:14759: $lt_compile\"" >&5)
    1465414760   (eval "$lt_compile" 2>out/conftest.err)
    1465514761   ac_status=$?
    1465614762   cat out/conftest.err >&5
    14657    echo "$as_me:14657: \$? = $ac_status" >&5
     14763   echo "$as_me:14763: \$? = $ac_status" >&5
    1465814764   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1465914765   then
     
    1685816964   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1685916965   -e 's:$: $lt_compiler_flag:'`
    16860    (eval echo "\"\$as_me:16860: $lt_compile\"" >&5)
     16966   (eval echo "\"\$as_me:16966: $lt_compile\"" >&5)
    1686116967   (eval "$lt_compile" 2>conftest.err)
    1686216968   ac_status=$?
    1686316969   cat conftest.err >&5
    16864    echo "$as_me:16864: \$? = $ac_status" >&5
     16970   echo "$as_me:16970: \$? = $ac_status" >&5
    1686516971   if (exit $ac_status) && test -s "$ac_outfile"; then
    1686616972     # The compiler can only warn and ignore the option if not recognized
     
    1712617232   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1712717233   -e 's:$: $lt_compiler_flag:'`
    17128    (eval echo "\"\$as_me:17128: $lt_compile\"" >&5)
     17234   (eval echo "\"\$as_me:17234: $lt_compile\"" >&5)
    1712917235   (eval "$lt_compile" 2>conftest.err)
    1713017236   ac_status=$?
    1713117237   cat conftest.err >&5
    17132    echo "$as_me:17132: \$? = $ac_status" >&5
     17238   echo "$as_me:17238: \$? = $ac_status" >&5
    1713317239   if (exit $ac_status) && test -s "$ac_outfile"; then
    1713417240     # The compiler can only warn and ignore the option if not recognized
     
    1723017336   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1723117337   -e 's:$: $lt_compiler_flag:'`
    17232    (eval echo "\"\$as_me:17232: $lt_compile\"" >&5)
     17338   (eval echo "\"\$as_me:17338: $lt_compile\"" >&5)
    1723317339   (eval "$lt_compile" 2>out/conftest.err)
    1723417340   ac_status=$?
    1723517341   cat out/conftest.err >&5
    17236    echo "$as_me:17236: \$? = $ac_status" >&5
     17342   echo "$as_me:17342: \$? = $ac_status" >&5
    1723717343   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1723817344   then
Note: See TracChangeset for help on using the changeset viewer.